<?php

// 프로그램 시작 시점
$start = microtime();
$str = explode(" ",$start);
$start = $str[0] + $str[1];


// set path to keyring directory
putenv('GNUPGHOME=/home/pogusm/.gnupg');

// create new GnuPG object
$gpg = new gnupg();

// throw exception if error occurs
$gpg->seterrormode(gnupg::ERROR_EXCEPTION); 

// recipient's email address
$recipient = 'pogusm@gmail.com';

// plaintext message
$plaintext = 
"Dear Dave,\n
  The answer is 42.\n
Peter";

echo $plaintext . "\n\n";
// find key matching email address
// encrypt plaintext message
// display and also write to file
try {
  $gpg->addencryptkey($recipient);
  $ciphertext = $gpg->encrypt($plaintext);
  echo $ciphertext . "\n\n";
  //file_put_contents('/tmp/ciphertext.gpg', $ciphertext);
  $gpg->adddecryptkey($recipient, '');
  $plaintext2 = $gpg->decrypt($ciphertext);
  echo $plaintext2 . "\n\n";
} catch (Exception $e) {
  die('ERROR: ' . $e->getMessage());
}

// 프로그램 끝나는 지점
$str = explode(" ",microtime());
$end = $str[0] + $str[1];

echo "Time : " . ($end - $start) . "\n\n";
?>
